Swarm runs
List a journey's runs
Newest first. Compact records — attempts is on the single-run read.
GET
/
projects
/
{projectId}
/
journeys
/
{journeyId}
/
runs
List a journey's runs
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"projectId": "<string>",
"journeyId": "<string>",
"canceled": true,
"stale": true,
"summary": {
"total": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123
},
"targets": [
{
"hostId": "<string>",
"hostName": "<string>",
"targetId": "<string>",
"modelId": "<string>"
}
],
"createdAt": 123,
"waveId": "<string>",
"error": "<string>",
"persona": {
"personaId": "<string>",
"name": "<string>",
"role": "<string>"
},
"attempts": [
{
"chatSessionId": "<string>",
"hostId": "<string>",
"targetId": "<string>",
"sessionIndex": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
}
],
"targetSummaries": [
{
"hostId": "<string>",
"total": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123,
"targetId": "<string>"
}
],
"lastHeartbeatAt": 123,
"insights": {
"schemaVersion": 1,
"scope": {
"id": "<string>",
"runId": "<string>",
"scenarioId": "<string>",
"windowStartAt": 123,
"windowEndAt": 123
},
"reasonCode": "<string>",
"retryable": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"generatedAt": 123,
"updatedAt": 123,
"summary": "<string>",
"coverage": {
"analyzed": 123,
"total": 123,
"truncated": true,
"lowConfidence": true,
"gradedCount": 123,
"feedbackCount": 123
},
"findings": [
{
"id": "<string>",
"signalFingerprint": "<string>",
"title": "<string>",
"observed": "<string>",
"recommendation": "<string>",
"acceptanceCriteria": [
"<string>"
],
"affected": {
"count": 123,
"total": 123
},
"evidence": [
{
"excerpt": "<string>",
"sessionId": "<string>",
"iterationId": "<string>",
"toolName": "<string>",
"errorCode": "<string>"
}
],
"rootCause": "<string>",
"patternSlug": "<string>",
"target": {
"serverId": "<string>",
"snapshotHash": "<string>",
"toolName": "<string>",
"fieldPath": "<string>",
"currentDefinition": {
"truncated": true,
"description": "<string>",
"inputSchemaJson": "<string>",
"outputSchemaJson": "<string>"
}
}
}
],
"truncation": {
"truncated": true,
"omittedFindings": 123,
"omittedEvidence": 123,
"contractTruncated": true
},
"runHealth": {
"targets": [
{
"subjectId": "<string>",
"subjectLabel": "<string>",
"attempted": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123
}
]
}
}
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Journey ID, as returned by the project's journey list.
Body
application/json
Optional pagination cursor.
Opaque pagination cursor from a previous response's nextCursor. Don't parse it.
Was this page helpful?
⌘I
List a journey's runs

